> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Update a response

PUT https://api.getpostman.com/collections/{collectionId}/responses/{responseId}
Content-Type: application/json

Updates a response in a collection. For a complete list of properties, see the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).

**Note:**

- You must pass a collection ID (`12ece9e1-2abf-4edc-8e34-de66e74114d2`), not a collection UID (`12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2`), in this endpoint.
- This endpoint acts like a PATCH method. It only updates the values that you pass in the request body (for example, the `name` property). The endpoint does not update the entire resource.


Reference: https://learning.postman.com/api-docs/api-reference/collection-items/update-collection-response

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/{collectionId}/responses/{responseId}:
    put:
      operationId: updateCollectionResponse
      summary: Update a response
      description: >
        Updates a response in a collection. For a complete list of properties,
        see the [Postman Collection Format
        documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).


        **Note:**


        - You must pass a collection ID
        (`12ece9e1-2abf-4edc-8e34-de66e74114d2`), not a collection UID
        (`12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2`), in this endpoint.

        - This endpoint acts like a PATCH method. It only updates the values
        that you pass in the request body (for example, the `name` property).
        The endpoint does not update the entire resource.
      tags:
        - collectionItems
      parameters:
        - name: responseId
          in: path
          description: The response's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionResponseId'
        - name: collectionId
          in: path
          description: The collection's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/updateCollectionResponseResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessageDetails'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/UpdateCollectionResponseRequestInternalServerError
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateCollectionResponse'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionResponseId:
      type: string
      title: collectionResponseId
    collectionId:
      type: string
      title: collectionId
    request-method:
      type: string
      enum:
        - GET
        - PUT
        - POST
        - PATCH
        - DELETE
        - COPY
        - HEAD
        - OPTIONS
        - LINK
        - UNLINK
        - PURGE
        - LOCK
        - UNLOCK
        - PROPFIND
        - VIEW
      description: The request's HTTP method.
      title: request-method
    header-2:
      type: object
      properties:
        key:
          type: string
          description: The header's key, such as `Content-Type` or `X-Custom-Header`.
        value:
          type: string
          description: The header key's value.
        description:
          type:
            - string
            - 'null'
          description: The header's description.
      required:
        - key
        - value
      description: Information about the header.
      title: header-2
    header-list-2:
      type: array
      items:
        $ref: '#/components/schemas/header-2'
      description: A list of headers.
      title: header-list-2
    UpdateCollectionResponseDataMode:
      type: string
      enum:
        - raw
        - urlencoded
        - formdata
        - binary
        - graphql
      description: The associated request body's data mode.
      title: UpdateCollectionResponseDataMode
    RequestDataOptionsRaw:
      type: object
      properties:
        language:
          type: string
          description: The raw mode data's language type.
      description: Options for the `raw` data mode.
      title: RequestDataOptionsRaw
    RequestDataOptionsUrlencoded:
      type: object
      properties: {}
      description: Options for the `urlencoded` data mode.
      title: RequestDataOptionsUrlencoded
    RequestDataOptionsParams:
      type: object
      properties: {}
      description: Options for the `params` data mode.
      title: RequestDataOptionsParams
    RequestDataOptionsBinary:
      type: object
      properties: {}
      description: Options for the `binary` data mode.
      title: RequestDataOptionsBinary
    RequestDataOptionsGraphql:
      type: object
      properties: {}
      description: Options for the `graphql` data mode.
      title: RequestDataOptionsGraphql
    request-data-options:
      type: object
      properties:
        raw:
          $ref: '#/components/schemas/RequestDataOptionsRaw'
          description: Options for the `raw` data mode.
        urlencoded:
          $ref: '#/components/schemas/RequestDataOptionsUrlencoded'
          description: Options for the `urlencoded` data mode.
        params:
          $ref: '#/components/schemas/RequestDataOptionsParams'
          description: Options for the `params` data mode.
        binary:
          $ref: '#/components/schemas/RequestDataOptionsBinary'
          description: Options for the `binary` data mode.
        graphql:
          $ref: '#/components/schemas/RequestDataOptionsGraphql'
          description: Options for the `graphql` data mode.
      description: >-
        Additional configurations and options set for the request body's various
        data modes.
      title: request-data-options
    UpdateCollectionResponseResponseCode:
      type: object
      properties:
        code:
          type: number
          format: double
          description: The response's HTTP response status code.
        name:
          type: string
          description: The name of the status code.
      description: The response's HTTP response code information.
      title: UpdateCollectionResponseResponseCode
    updateCollectionResponse:
      type: object
      properties:
        name:
          type: string
          description: The response's name.
        description:
          type:
            - string
            - 'null'
          description: The response's description.
        url:
          type:
            - string
            - 'null'
          description: The associated request's URL.
        method:
          $ref: '#/components/schemas/request-method'
        headers:
          $ref: '#/components/schemas/header-list-2'
        dataMode:
          $ref: '#/components/schemas/UpdateCollectionResponseDataMode'
          description: The associated request body's data mode.
        rawModeData:
          type:
            - string
            - 'null'
          description: The associated request body's raw mode data.
        dataOptions:
          $ref: '#/components/schemas/request-data-options'
        responseCode:
          $ref: '#/components/schemas/UpdateCollectionResponseResponseCode'
          description: The response's HTTP response code information.
        status:
          type:
            - string
            - 'null'
          description: The response's HTTP status text.
        time:
          type: string
          description: The time taken by the request to complete, in milliseconds.
        cookies:
          type:
            - string
            - 'null'
          description: The response's cookie data.
        mime:
          type:
            - string
            - 'null'
          description: The response's MIME type.
        text:
          type: string
          description: The raw text of the response body.
        language:
          type: string
          description: The response body's language type.
        rawDataType:
          type:
            - string
            - 'null'
          description: The response's raw data type.
        requestObject:
          type: string
          description: A JSON-stringified representation of the associated request.
      description: >-
        The response properties to update. For a complete list of properties,
        refer to the **Response** entry in the [Postman Collection Format
        documentation](https://schema.postman.com/collection/json/v1.0.0/draft-07/collection.json).
      title: updateCollectionResponse
    UpdateCollectionResponseResponseData:
      type: object
      properties:
        id:
          type: string
          description: The response's ID.
        name:
          type: string
          description: The response's name.
        owner:
          type: string
          description: The user ID of the response's owner.
        createdAt:
          type: string
          format: date-time
          description: The response's creation date and time.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the response was last updated.
        lastRevision:
          type: integer
          format: int64
          description: >-
            An internal revision ID. Its value increments each time the resource
            changes. You can use this ID to track whether there were changes
            since the last time you fetched the resource.
        lastUpdatedBy:
          type: string
          description: The user ID of the user that last updated the response.
      description: >-
        Information about the updated response. For a complete list of response
        properties, refer to the **Response** entry in the [Postman Collection
        Format
        documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      title: UpdateCollectionResponseResponseData
    updateCollectionResponseResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/UpdateCollectionResponseResponseData'
          description: >-
            Information about the updated response. For a complete list of
            response properties, refer to the **Response** entry in the [Postman
            Collection Format
            documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
        meta:
          type: object
          additionalProperties:
            description: Any type
          description: >-
            A Postman-specific response that contains information about the
            internal performed operation.
        model_id:
          type: string
          description: The response's ID.
      title: updateCollectionResponseResponse
    CommonErrorNameMessageDetailsErrorDetails:
      oneOf:
        - type: object
          additionalProperties:
            description: Any type
        - type: array
          items:
            type: string
      description: Information about the error.
      title: CommonErrorNameMessageDetailsErrorDetails
    CommonErrorNameMessageDetailsError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
        details:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsErrorDetails'
          description: Information about the error.
      title: CommonErrorNameMessageDetailsError
    commonErrorNameMessageDetails:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageDetailsError'
      title: commonErrorNameMessageDetails
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    UpdateCollectionResponseRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: UpdateCollectionResponseRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Collection Response Updated



**Request**

```json
undefined
```

**Response**

```json
{
  "data": {
    "id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "name": "Example Response",
    "owner": "12345678",
    "createdAt": "2023-09-01T09:29:54.000Z",
    "updatedAt": "2023-09-08T12:37:33.000Z",
    "lastRevision": 32368133468,
    "lastUpdatedBy": "12345678",
    "cookies": null,
    "headers": [
      {
        "key": "Date",
        "value": "Fri, 01 Sep 2023 07:36:18 GMT"
      },
      {
        "key": "Content-Type",
        "value": "application/json; charset=utf-8"
      },
      {
        "key": "Content-Length",
        "value": "607"
      },
      {
        "key": "Connection",
        "value": "keep-alive"
      }
    ],
    "language": "json",
    "mime": null,
    "rawDataType": null,
    "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "requestObject": "{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\\n    \\\"field\\\": \\\"Value\\\"\\n}\",\"graphqlModeData\":{}}",
    "responseCode": {
      "code": 200,
      "name": "OK"
    },
    "status": null,
    "text": "{\n    \"args\": {},\n    \"data\": {\n        \"field\": \"Value\"\n    },\n    \"files\": {},\n    \"form\": {},\n    \"headers\": {\n        \"x-forwarded-proto\": \"https\",\n        \"x-forwarded-port\": \"443\",\n        \"host\": \"postman-echo.com\",\n        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",\n        \"content-length\": \"24\",\n        \"content-type\": \"application/json\",\n        \"x-api-key\": \"xxx\",\n        \"user-agent\": \"PostmanRuntime/7.32.3\",\n        \"accept\": \"*/*\",\n        \"postman-token\": \"XXX\",\n        \"accept-encoding\": \"gzip, deflate, br\"\n    },\n    \"json\": {\n        \"field\": \"Value\"\n    },\n    \"url\": \"https://postman-echo.com/post\"\n}",
    "time": "50"
  },
  "meta": {
    "action": "update",
    "model": "response"
  },
  "model_id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "revision": 32473225008
}
```

**SDK Code**

```python Collection Response Updated
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07"

headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, headers=headers)

print(response.json())
```

```javascript Collection Response Updated
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: undefined
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Collection Response Updated
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07"

	req, _ := http.NewRequest("PUT", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Collection Response Updated
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'

response = http.request(request)
puts response.read_body
```

```java Collection Response Updated
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .asString();
```

```php Collection Response Updated
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07', [
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Collection Response Updated
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
IRestResponse response = client.Execute(request);
```

```swift Collection Response Updated
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update Response



**Request**

```json
{
  "name": "Example Response",
  "headers": [
    {
      "key": "Date",
      "value": "Fri, 01 Sep 2023 07:36:18 GMT"
    },
    {
      "key": "Content-Type",
      "value": "application/json; charset=utf-8"
    },
    {
      "key": "Content-Length",
      "value": "607"
    },
    {
      "key": "Connection",
      "value": "keep-alive"
    }
  ],
  "responseCode": {
    "code": 200,
    "name": "OK"
  },
  "status": null,
  "time": "50",
  "cookies": null,
  "mime": null,
  "text": "{\n    \"args\": {},\n    \"data\": {\n        \"field\": \"Value\"\n    },\n    \"files\": {},\n    \"form\": {},\n    \"headers\": {\n        \"x-forwarded-proto\": \"https\",\n        \"x-forwarded-port\": \"443\",\n        \"host\": \"postman-echo.com\",\n        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",\n        \"content-length\": \"24\",\n        \"content-type\": \"application/json\",\n        \"x-api-key\": \"xxx\",\n        \"user-agent\": \"PostmanRuntime/7.32.3\",\n        \"accept\": \"*/*\",\n        \"postman-token\": \"XXX\",\n        \"accept-encoding\": \"gzip, deflate, br\"\n    },\n    \"json\": {\n        \"field\": \"Value\"\n    },\n    \"url\": \"https://postman-echo.com/post\"\n}",
  "language": "json",
  "rawDataType": null,
  "requestObject": "{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\\n    \\\"field\\\": \\\"Value\\\"\\n}\",\"graphqlModeData\":{}}",
  "createdAt": "2023-09-01T09:29:54.000Z",
  "lastRevision": 32368133468,
  "lastUpdatedBy": "12345678",
  "owner": "12345678",
  "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "updatedAt": "2023-09-01T09:29:54.000Z"
}
```

**Response**

```json
{
  "data": {
    "id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "name": "Example Response",
    "owner": "12345678",
    "createdAt": "2023-09-01T09:29:54.000Z",
    "updatedAt": "2023-09-08T12:37:33.000Z",
    "lastRevision": 32368133468,
    "lastUpdatedBy": "12345678",
    "cookies": null,
    "headers": [
      {
        "key": "Date",
        "value": "Fri, 01 Sep 2023 07:36:18 GMT"
      },
      {
        "key": "Content-Type",
        "value": "application/json; charset=utf-8"
      },
      {
        "key": "Content-Length",
        "value": "607"
      },
      {
        "key": "Connection",
        "value": "keep-alive"
      }
    ],
    "language": "json",
    "mime": null,
    "rawDataType": null,
    "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "requestObject": "{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\\n    \\\"field\\\": \\\"Value\\\"\\n}\",\"graphqlModeData\":{}}",
    "responseCode": {
      "code": 200,
      "name": "OK"
    },
    "status": null,
    "text": "{\n    \"args\": {},\n    \"data\": {\n        \"field\": \"Value\"\n    },\n    \"files\": {},\n    \"form\": {},\n    \"headers\": {\n        \"x-forwarded-proto\": \"https\",\n        \"x-forwarded-port\": \"443\",\n        \"host\": \"postman-echo.com\",\n        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",\n        \"content-length\": \"24\",\n        \"content-type\": \"application/json\",\n        \"x-api-key\": \"xxx\",\n        \"user-agent\": \"PostmanRuntime/7.32.3\",\n        \"accept\": \"*/*\",\n        \"postman-token\": \"XXX\",\n        \"accept-encoding\": \"gzip, deflate, br\"\n    },\n    \"json\": {\n        \"field\": \"Value\"\n    },\n    \"url\": \"https://postman-echo.com/post\"\n}",
    "time": "50"
  },
  "meta": {
    "action": "update",
    "model": "response"
  },
  "model_id": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "revision": 32473225008
}
```

**SDK Code**

```python Update Response
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07"

payload = {
    "name": "Example Response",
    "headers": [
        {
            "key": "Date",
            "value": "Fri, 01 Sep 2023 07:36:18 GMT"
        },
        {
            "key": "Content-Type",
            "value": "application/json; charset=utf-8"
        },
        {
            "key": "Content-Length",
            "value": "607"
        },
        {
            "key": "Connection",
            "value": "keep-alive"
        }
    ],
    "responseCode": {
        "code": 200,
        "name": "OK"
    },
    "status": None,
    "time": "50",
    "cookies": None,
    "mime": None,
    "text": "{
    \"args\": {},
    \"data\": {
        \"field\": \"Value\"
    },
    \"files\": {},
    \"form\": {},
    \"headers\": {
        \"x-forwarded-proto\": \"https\",
        \"x-forwarded-port\": \"443\",
        \"host\": \"postman-echo.com\",
        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",
        \"content-length\": \"24\",
        \"content-type\": \"application/json\",
        \"x-api-key\": \"xxx\",
        \"user-agent\": \"PostmanRuntime/7.32.3\",
        \"accept\": \"*/*\",
        \"postman-token\": \"XXX\",
        \"accept-encoding\": \"gzip, deflate, br\"
    },
    \"json\": {
        \"field\": \"Value\"
    },
    \"url\": \"https://postman-echo.com/post\"
}",
    "language": "json",
    "rawDataType": None,
    "requestObject": "{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\n    \\"field\\": \\"Value\\"\n}\",\"graphqlModeData\":{}}",
    "createdAt": "2023-09-01T09:29:54.000Z",
    "lastRevision": 32368133468,
    "lastUpdatedBy": "12345678",
    "owner": "12345678",
    "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
    "updatedAt": "2023-09-01T09:29:54.000Z"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Update Response
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07';
const options = {
  method: 'PUT',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"Example Response","headers":[{"key":"Date","value":"Fri, 01 Sep 2023 07:36:18 GMT"},{"key":"Content-Type","value":"application/json; charset=utf-8"},{"key":"Content-Length","value":"607"},{"key":"Connection","value":"keep-alive"}],"responseCode":{"code":200,"name":"OK"},"status":null,"time":"50","cookies":null,"mime":null,"text":"{\n    \"args\": {},\n    \"data\": {\n        \"field\": \"Value\"\n    },\n    \"files\": {},\n    \"form\": {},\n    \"headers\": {\n        \"x-forwarded-proto\": \"https\",\n        \"x-forwarded-port\": \"443\",\n        \"host\": \"postman-echo.com\",\n        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",\n        \"content-length\": \"24\",\n        \"content-type\": \"application/json\",\n        \"x-api-key\": \"xxx\",\n        \"user-agent\": \"PostmanRuntime/7.32.3\",\n        \"accept\": \"*/*\",\n        \"postman-token\": \"XXX\",\n        \"accept-encoding\": \"gzip, deflate, br\"\n    },\n    \"json\": {\n        \"field\": \"Value\"\n    },\n    \"url\": \"https://postman-echo.com/post\"\n}","language":"json","rawDataType":null,"requestObject":"{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\\n    \\\"field\\\": \\\"Value\\\"\\n}\",\"graphqlModeData\":{}}","createdAt":"2023-09-01T09:29:54.000Z","lastRevision":32368133468,"lastUpdatedBy":"12345678","owner":"12345678","request":"c82dd02c-4870-4907-8fcb-593a876cf05b","updatedAt":"2023-09-01T09:29:54.000Z"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Response
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07"

	payload := strings.NewReader("{\n  \"name\": \"Example Response\",\n  \"headers\": [\n    {\n      \"key\": \"Date\",\n      \"value\": \"Fri, 01 Sep 2023 07:36:18 GMT\"\n    },\n    {\n      \"key\": \"Content-Type\",\n      \"value\": \"application/json; charset=utf-8\"\n    },\n    {\n      \"key\": \"Content-Length\",\n      \"value\": \"607\"\n    },\n    {\n      \"key\": \"Connection\",\n      \"value\": \"keep-alive\"\n    }\n  ],\n  \"responseCode\": {\n    \"code\": 200,\n    \"name\": \"OK\"\n  },\n  \"status\": null,\n  \"time\": \"50\",\n  \"cookies\": null,\n  \"mime\": null,\n  \"text\": \"{\\n    \\\"args\\\": {},\\n    \\\"data\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"files\\\": {},\\n    \\\"form\\\": {},\\n    \\\"headers\\\": {\\n        \\\"x-forwarded-proto\\\": \\\"https\\\",\\n        \\\"x-forwarded-port\\\": \\\"443\\\",\\n        \\\"host\\\": \\\"postman-echo.com\\\",\\n        \\\"x-amzn-trace-id\\\": \\\"Root=1-64f9cd12-62f18f3a048796d345508073\\\",\\n        \\\"content-length\\\": \\\"24\\\",\\n        \\\"content-type\\\": \\\"application/json\\\",\\n        \\\"x-api-key\\\": \\\"xxx\\\",\\n        \\\"user-agent\\\": \\\"PostmanRuntime/7.32.3\\\",\\n        \\\"accept\\\": \\\"*/*\\\",\\n        \\\"postman-token\\\": \\\"XXX\\\",\\n        \\\"accept-encoding\\\": \\\"gzip, deflate, br\\\"\\n    },\\n    \\\"json\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"url\\\": \\\"https://postman-echo.com/post\\\"\\n}\",\n  \"language\": \"json\",\n  \"rawDataType\": null,\n  \"requestObject\": \"{\\\"data\\\":null,\\\"dataMode\\\":\\\"raw\\\",\\\"dataOptions\\\":{\\\"raw\\\":{\\\"language\\\":\\\"json\\\"}},\\\"headerData\\\":[],\\\"method\\\":\\\"POST\\\",\\\"pathVariableData\\\":[],\\\"queryParams\\\":[],\\\"url\\\":\\\"https://postman-echo.com/post\\\",\\\"headers\\\":\\\"\\\",\\\"pathVariables\\\":{},\\\"protocolProfileBehavior\\\":{\\\"disableBodyPruning\\\":true},\\\"rawModeData\\\":\\\"{\\\\n    \\\\\\\"field\\\\\\\": \\\\\\\"Value\\\\\\\"\\\\n}\\\",\\\"graphqlModeData\\\":{}}\",\n  \"createdAt\": \"2023-09-01T09:29:54.000Z\",\n  \"lastRevision\": 32368133468,\n  \"lastUpdatedBy\": \"12345678\",\n  \"owner\": \"12345678\",\n  \"request\": \"c82dd02c-4870-4907-8fcb-593a876cf05b\",\n  \"updatedAt\": \"2023-09-01T09:29:54.000Z\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Example Response\",\n  \"headers\": [\n    {\n      \"key\": \"Date\",\n      \"value\": \"Fri, 01 Sep 2023 07:36:18 GMT\"\n    },\n    {\n      \"key\": \"Content-Type\",\n      \"value\": \"application/json; charset=utf-8\"\n    },\n    {\n      \"key\": \"Content-Length\",\n      \"value\": \"607\"\n    },\n    {\n      \"key\": \"Connection\",\n      \"value\": \"keep-alive\"\n    }\n  ],\n  \"responseCode\": {\n    \"code\": 200,\n    \"name\": \"OK\"\n  },\n  \"status\": null,\n  \"time\": \"50\",\n  \"cookies\": null,\n  \"mime\": null,\n  \"text\": \"{\\n    \\\"args\\\": {},\\n    \\\"data\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"files\\\": {},\\n    \\\"form\\\": {},\\n    \\\"headers\\\": {\\n        \\\"x-forwarded-proto\\\": \\\"https\\\",\\n        \\\"x-forwarded-port\\\": \\\"443\\\",\\n        \\\"host\\\": \\\"postman-echo.com\\\",\\n        \\\"x-amzn-trace-id\\\": \\\"Root=1-64f9cd12-62f18f3a048796d345508073\\\",\\n        \\\"content-length\\\": \\\"24\\\",\\n        \\\"content-type\\\": \\\"application/json\\\",\\n        \\\"x-api-key\\\": \\\"xxx\\\",\\n        \\\"user-agent\\\": \\\"PostmanRuntime/7.32.3\\\",\\n        \\\"accept\\\": \\\"*/*\\\",\\n        \\\"postman-token\\\": \\\"XXX\\\",\\n        \\\"accept-encoding\\\": \\\"gzip, deflate, br\\\"\\n    },\\n    \\\"json\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"url\\\": \\\"https://postman-echo.com/post\\\"\\n}\",\n  \"language\": \"json\",\n  \"rawDataType\": null,\n  \"requestObject\": \"{\\\"data\\\":null,\\\"dataMode\\\":\\\"raw\\\",\\\"dataOptions\\\":{\\\"raw\\\":{\\\"language\\\":\\\"json\\\"}},\\\"headerData\\\":[],\\\"method\\\":\\\"POST\\\",\\\"pathVariableData\\\":[],\\\"queryParams\\\":[],\\\"url\\\":\\\"https://postman-echo.com/post\\\",\\\"headers\\\":\\\"\\\",\\\"pathVariables\\\":{},\\\"protocolProfileBehavior\\\":{\\\"disableBodyPruning\\\":true},\\\"rawModeData\\\":\\\"{\\\\n    \\\\\\\"field\\\\\\\": \\\\\\\"Value\\\\\\\"\\\\n}\\\",\\\"graphqlModeData\\\":{}}\",\n  \"createdAt\": \"2023-09-01T09:29:54.000Z\",\n  \"lastRevision\": 32368133468,\n  \"lastUpdatedBy\": \"12345678\",\n  \"owner\": \"12345678\",\n  \"request\": \"c82dd02c-4870-4907-8fcb-593a876cf05b\",\n  \"updatedAt\": \"2023-09-01T09:29:54.000Z\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Example Response\",\n  \"headers\": [\n    {\n      \"key\": \"Date\",\n      \"value\": \"Fri, 01 Sep 2023 07:36:18 GMT\"\n    },\n    {\n      \"key\": \"Content-Type\",\n      \"value\": \"application/json; charset=utf-8\"\n    },\n    {\n      \"key\": \"Content-Length\",\n      \"value\": \"607\"\n    },\n    {\n      \"key\": \"Connection\",\n      \"value\": \"keep-alive\"\n    }\n  ],\n  \"responseCode\": {\n    \"code\": 200,\n    \"name\": \"OK\"\n  },\n  \"status\": null,\n  \"time\": \"50\",\n  \"cookies\": null,\n  \"mime\": null,\n  \"text\": \"{\\n    \\\"args\\\": {},\\n    \\\"data\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"files\\\": {},\\n    \\\"form\\\": {},\\n    \\\"headers\\\": {\\n        \\\"x-forwarded-proto\\\": \\\"https\\\",\\n        \\\"x-forwarded-port\\\": \\\"443\\\",\\n        \\\"host\\\": \\\"postman-echo.com\\\",\\n        \\\"x-amzn-trace-id\\\": \\\"Root=1-64f9cd12-62f18f3a048796d345508073\\\",\\n        \\\"content-length\\\": \\\"24\\\",\\n        \\\"content-type\\\": \\\"application/json\\\",\\n        \\\"x-api-key\\\": \\\"xxx\\\",\\n        \\\"user-agent\\\": \\\"PostmanRuntime/7.32.3\\\",\\n        \\\"accept\\\": \\\"*/*\\\",\\n        \\\"postman-token\\\": \\\"XXX\\\",\\n        \\\"accept-encoding\\\": \\\"gzip, deflate, br\\\"\\n    },\\n    \\\"json\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"url\\\": \\\"https://postman-echo.com/post\\\"\\n}\",\n  \"language\": \"json\",\n  \"rawDataType\": null,\n  \"requestObject\": \"{\\\"data\\\":null,\\\"dataMode\\\":\\\"raw\\\",\\\"dataOptions\\\":{\\\"raw\\\":{\\\"language\\\":\\\"json\\\"}},\\\"headerData\\\":[],\\\"method\\\":\\\"POST\\\",\\\"pathVariableData\\\":[],\\\"queryParams\\\":[],\\\"url\\\":\\\"https://postman-echo.com/post\\\",\\\"headers\\\":\\\"\\\",\\\"pathVariables\\\":{},\\\"protocolProfileBehavior\\\":{\\\"disableBodyPruning\\\":true},\\\"rawModeData\\\":\\\"{\\\\n    \\\\\\\"field\\\\\\\": \\\\\\\"Value\\\\\\\"\\\\n}\\\",\\\"graphqlModeData\\\":{}}\",\n  \"createdAt\": \"2023-09-01T09:29:54.000Z\",\n  \"lastRevision\": 32368133468,\n  \"lastUpdatedBy\": \"12345678\",\n  \"owner\": \"12345678\",\n  \"request\": \"c82dd02c-4870-4907-8fcb-593a876cf05b\",\n  \"updatedAt\": \"2023-09-01T09:29:54.000Z\"\n}")
  .asString();
```

```php Update Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07', [
  'body' => '{
  "name": "Example Response",
  "headers": [
    {
      "key": "Date",
      "value": "Fri, 01 Sep 2023 07:36:18 GMT"
    },
    {
      "key": "Content-Type",
      "value": "application/json; charset=utf-8"
    },
    {
      "key": "Content-Length",
      "value": "607"
    },
    {
      "key": "Connection",
      "value": "keep-alive"
    }
  ],
  "responseCode": {
    "code": 200,
    "name": "OK"
  },
  "status": null,
  "time": "50",
  "cookies": null,
  "mime": null,
  "text": "{\\n    \\"args\\": {},\\n    \\"data\\": {\\n        \\"field\\": \\"Value\\"\\n    },\\n    \\"files\\": {},\\n    \\"form\\": {},\\n    \\"headers\\": {\\n        \\"x-forwarded-proto\\": \\"https\\",\\n        \\"x-forwarded-port\\": \\"443\\",\\n        \\"host\\": \\"postman-echo.com\\",\\n        \\"x-amzn-trace-id\\": \\"Root=1-64f9cd12-62f18f3a048796d345508073\\",\\n        \\"content-length\\": \\"24\\",\\n        \\"content-type\\": \\"application/json\\",\\n        \\"x-api-key\\": \\"xxx\\",\\n        \\"user-agent\\": \\"PostmanRuntime/7.32.3\\",\\n        \\"accept\\": \\"*/*\\",\\n        \\"postman-token\\": \\"XXX\\",\\n        \\"accept-encoding\\": \\"gzip, deflate, br\\"\\n    },\\n    \\"json\\": {\\n        \\"field\\": \\"Value\\"\\n    },\\n    \\"url\\": \\"https://postman-echo.com/post\\"\\n}",
  "language": "json",
  "rawDataType": null,
  "requestObject": "{\\"data\\":null,\\"dataMode\\":\\"raw\\",\\"dataOptions\\":{\\"raw\\":{\\"language\\":\\"json\\"}},\\"headerData\\":[],\\"method\\":\\"POST\\",\\"pathVariableData\\":[],\\"queryParams\\":[],\\"url\\":\\"https://postman-echo.com/post\\",\\"headers\\":\\"\\",\\"pathVariables\\":{},\\"protocolProfileBehavior\\":{\\"disableBodyPruning\\":true},\\"rawModeData\\":\\"{\\\\n    \\\\\\"field\\\\\\": \\\\\\"Value\\\\\\"\\\\n}\\",\\"graphqlModeData\\":{}}",
  "createdAt": "2023-09-01T09:29:54.000Z",
  "lastRevision": 32368133468,
  "lastUpdatedBy": "12345678",
  "owner": "12345678",
  "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "updatedAt": "2023-09-01T09:29:54.000Z"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07");
var request = new RestRequest(Method.PUT);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Example Response\",\n  \"headers\": [\n    {\n      \"key\": \"Date\",\n      \"value\": \"Fri, 01 Sep 2023 07:36:18 GMT\"\n    },\n    {\n      \"key\": \"Content-Type\",\n      \"value\": \"application/json; charset=utf-8\"\n    },\n    {\n      \"key\": \"Content-Length\",\n      \"value\": \"607\"\n    },\n    {\n      \"key\": \"Connection\",\n      \"value\": \"keep-alive\"\n    }\n  ],\n  \"responseCode\": {\n    \"code\": 200,\n    \"name\": \"OK\"\n  },\n  \"status\": null,\n  \"time\": \"50\",\n  \"cookies\": null,\n  \"mime\": null,\n  \"text\": \"{\\n    \\\"args\\\": {},\\n    \\\"data\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"files\\\": {},\\n    \\\"form\\\": {},\\n    \\\"headers\\\": {\\n        \\\"x-forwarded-proto\\\": \\\"https\\\",\\n        \\\"x-forwarded-port\\\": \\\"443\\\",\\n        \\\"host\\\": \\\"postman-echo.com\\\",\\n        \\\"x-amzn-trace-id\\\": \\\"Root=1-64f9cd12-62f18f3a048796d345508073\\\",\\n        \\\"content-length\\\": \\\"24\\\",\\n        \\\"content-type\\\": \\\"application/json\\\",\\n        \\\"x-api-key\\\": \\\"xxx\\\",\\n        \\\"user-agent\\\": \\\"PostmanRuntime/7.32.3\\\",\\n        \\\"accept\\\": \\\"*/*\\\",\\n        \\\"postman-token\\\": \\\"XXX\\\",\\n        \\\"accept-encoding\\\": \\\"gzip, deflate, br\\\"\\n    },\\n    \\\"json\\\": {\\n        \\\"field\\\": \\\"Value\\\"\\n    },\\n    \\\"url\\\": \\\"https://postman-echo.com/post\\\"\\n}\",\n  \"language\": \"json\",\n  \"rawDataType\": null,\n  \"requestObject\": \"{\\\"data\\\":null,\\\"dataMode\\\":\\\"raw\\\",\\\"dataOptions\\\":{\\\"raw\\\":{\\\"language\\\":\\\"json\\\"}},\\\"headerData\\\":[],\\\"method\\\":\\\"POST\\\",\\\"pathVariableData\\\":[],\\\"queryParams\\\":[],\\\"url\\\":\\\"https://postman-echo.com/post\\\",\\\"headers\\\":\\\"\\\",\\\"pathVariables\\\":{},\\\"protocolProfileBehavior\\\":{\\\"disableBodyPruning\\\":true},\\\"rawModeData\\\":\\\"{\\\\n    \\\\\\\"field\\\\\\\": \\\\\\\"Value\\\\\\\"\\\\n}\\\",\\\"graphqlModeData\\\":{}}\",\n  \"createdAt\": \"2023-09-01T09:29:54.000Z\",\n  \"lastRevision\": 32368133468,\n  \"lastUpdatedBy\": \"12345678\",\n  \"owner\": \"12345678\",\n  \"request\": \"c82dd02c-4870-4907-8fcb-593a876cf05b\",\n  \"updatedAt\": \"2023-09-01T09:29:54.000Z\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update Response
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Example Response",
  "headers": [
    [
      "key": "Date",
      "value": "Fri, 01 Sep 2023 07:36:18 GMT"
    ],
    [
      "key": "Content-Type",
      "value": "application/json; charset=utf-8"
    ],
    [
      "key": "Content-Length",
      "value": "607"
    ],
    [
      "key": "Connection",
      "value": "keep-alive"
    ]
  ],
  "responseCode": [
    "code": 200,
    "name": "OK"
  ],
  "status": ,
  "time": "50",
  "cookies": ,
  "mime": ,
  "text": "{
    \"args\": {},
    \"data\": {
        \"field\": \"Value\"
    },
    \"files\": {},
    \"form\": {},
    \"headers\": {
        \"x-forwarded-proto\": \"https\",
        \"x-forwarded-port\": \"443\",
        \"host\": \"postman-echo.com\",
        \"x-amzn-trace-id\": \"Root=1-64f9cd12-62f18f3a048796d345508073\",
        \"content-length\": \"24\",
        \"content-type\": \"application/json\",
        \"x-api-key\": \"xxx\",
        \"user-agent\": \"PostmanRuntime/7.32.3\",
        \"accept\": \"*/*\",
        \"postman-token\": \"XXX\",
        \"accept-encoding\": \"gzip, deflate, br\"
    },
    \"json\": {
        \"field\": \"Value\"
    },
    \"url\": \"https://postman-echo.com/post\"
}",
  "language": "json",
  "rawDataType": ,
  "requestObject": "{\"data\":null,\"dataMode\":\"raw\",\"dataOptions\":{\"raw\":{\"language\":\"json\"}},\"headerData\":[],\"method\":\"POST\",\"pathVariableData\":[],\"queryParams\":[],\"url\":\"https://postman-echo.com/post\",\"headers\":\"\",\"pathVariables\":{},\"protocolProfileBehavior\":{\"disableBodyPruning\":true},\"rawModeData\":\"{\n    \\"field\\": \\"Value\\"\n}\",\"graphqlModeData\":{}}",
  "createdAt": "2023-09-01T09:29:54.000Z",
  "lastRevision": 32368133468,
  "lastUpdatedBy": "12345678",
  "owner": "12345678",
  "request": "c82dd02c-4870-4907-8fcb-593a876cf05b",
  "updatedAt": "2023-09-01T09:29:54.000Z"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2/responses/cc364734-7dfd-4bfc-897d-be763dcdbb07")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```